Method: legacyPlaybooks.legacyExportActionResults

Full name: projects.locations.instances.legacyPlaybooks.legacyExportActionResults

Exports action results for a given case and action result ID as a ZIP file.

HTTP request

GET https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyExportActionResults

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The instance to get the action results for. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
actionResultId

string (int64 format)

Required. The ID of the action result.

Request body

The request body must be empty.

Response body

LegacyExportActionResultsResponse is a response for exporting action results.

If successful, the response body contains data with the following structure:

JSON representation
{
  "media": {
    object (Media)
  }
}
Fields
media

object (Media)

The exported action results data. Zipped file with the action results content.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.legacyPlaybooks.export

For more information, see the IAM documentation.